body {
    background-color: rgb(15, 15, 15);
    color: white;
}
.header {
    width: 95%;
    margin: 25px auto 0px auto;
}
h1 {
    font-family: math;
    font-size: 36px;
    text-align: center;
    margin-bottom: 5px;
}
h1 a, h2 a {
    color: white;
    text-decoration: none;
}
h1 a:hover, h2 a:hover {
    text-decoration: underline;
}
.header p {
    font-family: monospace;
    font-size: 15px;
    text-align: center;
}
hr {
    border-radius: 5px;
}
.projects {
    display: flex;
    width: 90%;
    flex-wrap: wrap;
    justify-content: space-evenly;
    margin: auto auto 65px auto;
    gap: 15px;
    padding: 15px;
}
@keyframes popIn {
    0% {
        transform: scale(0.3);
        pointer-events: none;
    }
    99% {
        transform: scale(1);
        pointer-events: none;
    }
    100% {
        pointer-events: all;
    }
}
.project {
    position: relative;
    height: 250px;
    width: 400px;
    background: linear-gradient(135deg, #0e78b6 0%, #29c3dd 100%);
    border-radius: 15px;
    overflow: hidden;
    text-decoration: none;
    animation: popIn 0.5s ease-out;
}
.icon {
    position: absolute;
    background-position: center;
    background-size: cover;
    height: 100%;
    width: 100%;
    transition: transform 0.3s ease;
}
.project:hover .icon {
    transform: scale(1.1);
}
.type {
    position: relative;
    display: flex;
    align-items: center;
    color: white;
    font-family: monospace;
    filter: drop-shadow(2px 2px 4px black);
    margin: 2%;
}
.project .type {
    user-select: none;
}
.type img {
    height: 20px;
    padding-right: 7px;
}
.name {
    position: absolute;
    box-shadow: 2px -5px 3px white;
    bottom: 0;
    right: 0;
    width: 100%;
    background-color: white;
    color: black;
    font-family: "Calibri", sans-serif;
    font-size: 25px;
    margin: 0;
    padding-bottom: 5px;
    padding-right: 5px;
    text-align: right;
    transform-origin: bottom right;
    transition: transform 0.3s ease;
}
.project:hover .name {
    transform: scale(1.05);
}
.main {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 15px;
    margin-bottom: 20px;
}
h2 {
    font-family: sans-serif;
    font-size: 28px;
    margin-bottom: 5px;
    cursor: default;
}
.main .type {
    margin: auto auto 16px auto;
    filter: none;
    cursor: default;
}
.slideshow {
    display: grid;
    align-items: center;
    background-color: black;
    max-width: 1000px;
    position: relative;
    margin: auto auto 12px auto;
}
.slide {
    visibility: hidden;
    grid-area: 1 / 1;
    overflow: hidden;
}
.slide div {
    position: absolute;
    top: 0;
    color: #f2f2f2;
    font-family: monospace;
    font-size: 14px;
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 5px;
    margin: 5px;
    padding: 6px 8px;
    z-index: 1;
}
.slide img {
    position: relative;
    vertical-align: middle;
    width: 100%;
}
@keyframes fade {
    from {
        opacity: 0.4;
    } 
    to {
        opacity: 1;
    }
}
.slide.active img {
    animation-name: fade;
    animation-duration: 1.5s;
}
.prev, .next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    padding: 16px;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.15);
    color: white;
    font-weight: bold;
    font-size: 18px;
    transition: background-color 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
}
.next {
    right: 0;
    border-radius: 3px 0 0 3px;
}
.prev:hover, .next:hover {
    background-color: rgba(0, 0, 0, 0.8);
}
.dots {
    margin-bottom: 12px;
    text-align: center;
}
.dot {
    cursor: pointer;
    height: 15px;
    width: 15px;
    margin: 0 2px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
}
.dot.active, .dot:hover {
    background-color: #717171;
}
.main p {
    font-family: sans-serif;
    text-align: center;
    width: 100%;
}
@media (min-width: 768px) {
    .main p {
        width: 50%;
    }
}
.main p + p {
    margin-top: 5px;
}
.main p a {
    color: white;
    text-decoration: underline;
}
iframe {
    border: none;
    width: 90vw;
    height: calc(90vw * 9 / 16);
    margin-top: 15px;
}
@media (min-width: 768px) {
    iframe {
        width: 45vw;
        height: calc(45vw * 9 / 16);
    }
}
.footer {
    width: 75%;
    margin: auto;
    padding-bottom: 10px;
    font-family: math;
    text-align: center;
}
.footer a {
    color: white;
}